> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# List Pix Transfers

> Use this endpoint to list Pix Transfers with optional filters and
pagination.



## OpenAPI

````yaml /en/openapi/v3-current/indirect-pix.yaml get /v1/transfers
openapi: 3.0.3
info:
  title: Plugin BR Pix Indirect - Complete API
  description: |
    Complete API for Brazilian Pix instant payment system including
    Pix key dictionary operations, QR code generation/decoding, transactions and
    transaction limits.
  version: 1.0.0
servers:
  - url: https://plugin-pix-indirect.api.lerian.net
security:
  - bearerAuth: []
paths:
  /v1/transfers:
    get:
      tags:
        - Transactions API
      summary: List Pix Transfers
      description: |-
        Use this endpoint to list Pix Transfers with optional filters and
        pagination.
      parameters:
        - $ref: '#/components/parameters/Limit'
        - $ref: '#/components/parameters/Offset'
        - $ref: '#/components/parameters/SortOrder'
        - name: end_to_end
          in: query
          description: Filter by the Pix transfer end-to-end identifier.
          required: false
          example: E123456789BR1234567890123456789
          schema:
            type: string
        - name: status
          in: query
          description: |-
            Filter by the transfer status (PENDING, PROCESSING, COMPLETED,
            FAILED, CANCELLED).
          required: false
          example: COMPLETED
          schema:
            type: string
            enum:
              - PENDING
              - PROCESSING
              - COMPLETED
              - FAILED
              - CANCELLED
        - name: type
          in: query
          description: Filter by transfer direction (CASHOUT or CASHIN).
          required: false
          example: CASHOUT
          schema:
            type: string
            enum:
              - CASHOUT
              - CASHIN
        - $ref: '#/components/parameters/ModifiedAfter'
        - $ref: '#/components/parameters/ModifiedBefore'
        - $ref: '#/components/parameters/XAccountId'
      responses:
        '200':
          description: List of Pix transfers retrieved successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransfersListOutput'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
              examples:
                ErrorPIX0001:
                  $ref: '#/components/examples/ErrorPIX0001'
                ErrorPIX0009:
                  $ref: '#/components/examples/ErrorPIX0009'
                ErrorPIX0010:
                  $ref: '#/components/examples/ErrorPIX0010'
                ErrorPIX0011:
                  $ref: '#/components/examples/ErrorPIX0011'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
              examples:
                ErrorPIX0000:
                  $ref: '#/components/examples/ErrorPIX0000'
      deprecated: false
      security:
        - bearerAuth: []
components:
  parameters:
    Limit:
      name: limit
      in: query
      description: Maximum number of items per page.
      required: false
      example: 10
      schema:
        type: integer
        minimum: 1
        maximum: 100
        default: 10
    Offset:
      name: offset
      in: query
      description: The number of items to skip before starting to collect the result set.
      required: false
      example: 0
      schema:
        type: integer
        default: 0
    SortOrder:
      name: sort_order
      in: query
      description: 'Sort direction: asc or desc.'
      required: false
      example: asc
      schema:
        type: string
        enum:
          - asc
          - desc
        default: asc
    ModifiedAfter:
      name: modified_after
      in: query
      description: >-
        Filter by records modified after this timestamp (RFC3339 format:
        2024-01-15T10:30:00Z).
      required: false
      schema:
        type: string
    ModifiedBefore:
      name: modified_before
      in: query
      description: >-
        Filter by records modified before this timestamp (RFC3339 format:
        2024-01-15T10:30:00Z).
      required: false
      schema:
        type: string
    XAccountId:
      name: X-Account-Id
      in: header
      description: Unique identifier of the Midaz Ledger Account (UUID format).
      required: true
      example: 019c96a0-0a98-7287-9a31-786e0809c769
      schema:
        type: string
  schemas:
    TransfersListOutput:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/TransferObject'
        limit:
          type: integer
          example: 10
        offset:
          type: integer
          example: 0
    ErrorFormat:
      type: object
      description: The response message error.
      required:
        - code
        - title
        - message
      properties:
        code:
          type: string
          description: A unique, stable identifier for the error.
        title:
          type: string
          description: A brief summary of the issue.
        message:
          type: string
          description: Detailed guidance for resolving the error.
    TransferObject:
      type: object
      properties:
        id:
          type: string
          description: Transfer unique identifier.
          example: 019c96a0-0c21-71f9-a487-66a1258278a1
        endToEndId:
          type: string
          description: End-to-end identifier.
          example: E123456789BR1234567890123456789
        amount:
          type: string
          description: Transfer amount.
          example: '100.00'
        status:
          type: string
          description: Transfer status.
          enum:
            - PENDING
            - PROCESSING
            - COMPLETED
            - FAILED
            - CANCELLED
          example: COMPLETED
        type:
          type: string
          description: Transfer type.
          enum:
            - CASHOUT
            - CASHIN
          example: CASHOUT
        createdAt:
          type: string
          format: date-time
          example: '2024-01-15T10:30:00Z'
        updatedAt:
          type: string
          format: date-time
          example: '2024-01-15T10:30:00Z'
  examples:
    ErrorPIX0001:
      summary: Missing Headers in Request
      value:
        code: PIX-0001
        title: Missing Headers in Request
        message: >-
          Your request is missing one or more required header params. Please
          refer to the documentation to ensure all necessary header params are
          included in your request.
    ErrorPIX0009:
      summary: Missing Query Params in Request
      value:
        code: PIX-0009
        title: Missing Query Params in Request
        message: >-
          Your request is missing one or more required query params. Please
          refer to the documentation to ensure all necessary query params are
          included in your request.
    ErrorPIX0010:
      summary: Invalid Query Param in Request
      value:
        code: PIX-0010
        title: Invalid Query Param in Request
        message: >-
          One or more query params are invalid. Please refer to the
          documentation to verify the expected format and allowed values for
          each query param.
    ErrorPIX0011:
      summary: Invalid Timestamp Format
      value:
        code: PIX-0011
        title: Invalid Timestamp Format
        message: >-
          The timestamp format is invalid. Please refer to the documentation to
          verify the expected format.
    ErrorPIX0000:
      summary: Internal Server Error
      value:
        code: PIX-0000
        title: Internal Server Error
        message: The server encountered an unexpected error. Please try again later.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````